Liste des événements
Dans cet extrait de code, vous apprendrez à dresser la liste des événements.
Exemple
Veillez à ce que les variables suivantes soient réglées sur les valeurs souhaitées en utilisant toute méthode appropriée :
| Clé | Description |
|---|---|
CONVERSATION_ID | The ID of the Conversation. |
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create Events and then list them. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Rédiger le code
Ajouter ce qui suit à list-events.sh:
curl "https://api.nexmo.com/v1/conversations/$CONV_ID/events" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json'Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create Events and then list them. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCréez un fichier nommé list-events.js et ajoutez le code suivant :
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Rédiger le code
Ajouter ce qui suit à list-events.js:
const run = async () => {
try {
for await (const event of vonage.conversations.listAllEvents(CONV_ID)) {
console.log(event);
}
} catch (error) {
console.error(error);
}
};
run();Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create Events and then list them. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Ajouter ce qui suit à build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Créez un fichier nommé ListEvents et ajoutez le code suivant à la méthode main:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Rédiger le code
Ajouter ce qui suit à la méthode main du fichier ListEvents:
var events = client.getConversationsClient().listEvents(CONV_ID);
events.forEach(System.out::println);Exécutez votre code
Nous pouvons utiliser le plugin Applications pour Gradle afin de simplifier l'exécution de notre application. Mettez à jour votre build.gradle avec ce qui suit :
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Exécutez la commande gradle suivante pour exécuter votre application, en remplaçant com.vonage.quickstart.conversation par le paquet contenant ListEvents:
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create Events and then list them. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCréez un fichier nommé GetEvents.cs et ajoutez le code suivant :
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations.GetEvents;
using Vonage.Request;Ajouter ce qui suit à GetEvents.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Rédiger le code
Ajouter ce qui suit à GetEvents.cs:
var response = await client.ConversationsClient.GetEventsAsync(GetEventsRequest.Build()
.WithConversationId(CONV_ID)
.Create());Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create Events and then list them. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCréez un fichier nommé list-events.php et ajoutez le code suivant :
use Vonage\Conversation\ConversationObjects\CreateConversationRequest;
use Vonage\Conversation\ConversationObjects\UpdateConversationRequest;
require_once __DIR__ . '../../config.php';
require_once __DIR__ . '../../vendor/autoload.php';
$keypair = new \Vonage\Client\Credentials\Keypair(
file_get_contents(VONAGE_APPLICATION_PRIVATE_KEY_PATH),
VONAGE_APPLICATION_ID
);
$client = new \Vonage\Client($keypair);Rédiger le code
Ajouter ce qui suit à list-events.php:
$client->conversation()->delete(CONVERSATION_ID);Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Essayez-le
Lorsque vous exécutez le code, vous obtenez une liste d'événements.